• Philip Withnall's avatar
    glib, gio: Use GLIB_DEPRECATED_MACRO instead of G_DISABLE_DEPRECATED · b4d58a71
    Philip Withnall authored
    When defining deprecated macros, annotate them with
    `GLIB_DEPRECATED_MACRO_IN_*()` and `GLIB_DEPRECATED_MACRO_IN_*_FOR()` to
    conditionally emit warnings if people use them, depending on their
    declared minimum and maximum GLib version requirements (see
    `GLIB_VERSION_MIN_REQUIRED` and `GLIB_VERSION_MAX_ALLOWED`).
    
    The old way of doing this was for users to define `G_DISABLE_DEPRECATED`
    if they didn’t want to use deprecated APIs, but it reported errors via
    missing symbols, and wasn’t version-dependent. It’s being phased out.
    Signed-off-by: Philip Withnall's avatarPhilip Withnall <withnall@endlessm.com>
    b4d58a71
ghash.h 7.7 KB